не удается установить XDEBUG на Windows?

моя версия php версия PHP5.3.6.

Настройка Xdebug в php.ini:

[Xdebug]

 zend_extension_ts="D:\php\ext\php_xdebug-2.1.2.dll"
xdebug.remote_enable=1

;IP
xdebug.remote_host=127.0.0.1
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
xdebug.auto_trace = On
xdebug.show_exception_trace = On
xdebug.remote_autostart = On
xdebug.collect_vars = On
xdebug.collect_return = On
xdebug.collect_params = On

Я установил PHP 5.3 VC6 (32 бит) / PHP 5.3 VC9 (32 бит). они оба провалились.

когда набрал "php --ini" на cmd. это показывает:

Ответы на вопрос(4)

чтобы пытаться смешивать и совмещать модули, попробуйте загрузить стандартную версию от Apache Friends.http://www.apachefriends.org/en/xampp-windows.html

XAMPP поставляется с xdebug прямо из коробки.

вам просто нужно скачать правильную версию xdebug для вашей версии Windows / PHP. Есть сборки VC9ВотПросто выберите подходящий для 32 или 64 бит.

 quickshiftin30 дек. 2011 г., 02:22
@enjoylife, это будет одна из сборок PHP 5.3 VC9 на этой странице из моего ответа. Вам нужно будет выбрать подходящий для 32-битных против 64-битных (информация об этом здесь:windows.microsoft.com/en-us/windows7/...). Это будет один изPHP 5.3 VC9 (64 бит) или жеPHP 5.3 VC9 (32 бит) Вы можете получитьТ.С. вариант, если хотите, но, как правило, PHP запускается в непотоковом режиме.
 enjoylife30 дек. 2011 г., 02:13
извините, я не знаю, какую версию xdebug мне следует установить? моя версия php 5.3.6. операционная система XP.

http://nepuzz.com/index/detail/18]1]

Вы можете проверить вышеуказанную ссылку и легко установить xdebugger в Sublime 3 с Wamp-сервером.

Решение Вопроса

пожалуйста, следуйте инструкциям наhttp://xdebug.org/find-binary.php

ура, Дерик

 Martin Grey04 авг. 2017 г., 16:57
Люди, не разочаровывайтесь тем, что ссылка устарела и перенаправлена в другое место. Целевая страница все равно поможет вам выбрать правильную версию.
 Aleksey Bykov01 июн. 2016 г., 09:40
@Derick Спасибо за публикацию. Это решило и мою проблему ...
 Matthias12 апр. 2012 г., 13:50
Ну что ж ... Это забавно ... Мне нужен php_xdebug-2.1.4-5.4-vc9.dll, но его даже не существует> _>

Ваш ответ на вопрос